understandard

2011-05-27

WordPress 3.2が出るまでに確認すること

本日5月27日は WordPress の8歳の誕生日ということで、時期バージョンの WordPress 3.2のことを。

必要要件の変更

6月30日のリリースを目指し開発がされている WordPress 3.2では、PHP 5.2 以上、MySQL 5.0.15以上でないと動作および3.1系からのアップデートができません。

現在の環境が3.2に対応しているかどうかは、WordPress.org 公式の Health Check というプラグインで簡単にチェックできます。

WordPress › Health Check « WordPress Plugins

同梱 jQuery のバージョン

PHP、MySQL 以外では、同梱される jQuery のバージョンが1.4.4から1.6.1に変更になるようです。
これにより、テーマやプラグインが不具合を起こす可能性があるので、こちらもチェックしておきましょう。

jQuery のバージョンアップについては、WordPress のコア開発チームのブログで書かれています。

jQuery updates in WordPress 3.2 « WordPress Development Updates

記事に書かれている内容は以下の2点について。

[property=value] というセレクターは引用符が必要

$('input[name=submit]')

という書き方ではなく、下のような書き方で。

$('input[name="submit"]')

.prop() メソッドを使う

‘selected’、‘checked’、‘disabled’ プロパティは .attr() ではなく、jQuery 1.6で新しく追加された .prop() メソッドを使うようにする。

.attr() でも動くものもありますが、下のようなコードでは期待した通りの結果にはなりません。

.attr('checked', '')

その他の変更点などは、以下の記事を参考にしてみてください。

jQuery: » jQuery 1.6.1 Released
jQuery1.6の更新内容をまとめたよ。 | Ginpen.com
jQuery1.6のattr()で困ったら、1.6.1にすればいいみたい。 | Ginpen.com

管理画面の変更

また、管理画面が若干変更になるようです。個人的な感想としてはおしゃれになったかなという感じ。
左下に移動した、メニューを折りたたむ (Collapse menu) 部分は新しいほうが分かりやすいなと思います。

wp022-1.png

バージョン3.2のスクリーンショットは以下のページにたっぷり掲載されています。

Upcoming Admin Style Refresh in WordPress 3.2 « tekArtist

Good Bye IE 6

WordPress 3.2から管理画面での IE 6サポートが終了となります。
IE 6で管理画面にログインするとレイアウトは崩れますが、Internet Explorer のアップデートリンクと、Browse Happy へのリンクが表示されます。これだけ崩れていると、ちゃんと使うことはできないと思います。

wp022-2.png

IE 7ではそれなりに管理画面が表示されるようですが、こちらも最新ブラウザーではないので Internet Explorer のアップデートリンクなどが表示されます。IE 6とは少し違った表示になっています。

wp022-3.png

ウェブ制作をしている方はメインブラウザーが IE 6以上でしょうし、制作者にとっては大きな問題ではないと思います。
お客さんが IE 6だけしか使用できず、Chrome や Firefox をインストールできないという場合には、管理者権限不要の Google Chrome Frame 開発者向けビルドサポートが終了しましたを試してみるとか…。

ということで、WordPress の誕生日記事は以上で。

response

  1. WordPress 3.2が出るまでに確認すること | 一騎当千×仕事術
    2011-08-05 13:23:49

    […] 引用元: WordPress 3.2が出るまでに確認すること | WordPress | understandard.net. […]

comments are closed.